#include<iostream>
using namespace std;
long long n,m,p;
long long sbor;
long long pr,posr;
bool isOdd=false;
bool poNagore=false;
int main()
{
    cin>>m>>n>>p;///
    if(p==1)
    {
        sbor=(n*(n+1))/2;
    }
    else if(p==n)
    {
        sbor=(n*(n+1))/2+n*(n-1);
    }
    
    
    
    
    
    cout<<sbor+m*n;
    return 0;
}

